---
wsId: nexo
title: 'Nexo: Buy BTC, ETH, SOL & AVAX'
altTitle: 
authors:
- leo
users: 1000000
appId: com.nexowallet
appCountry: 
released: 2019-06-28
updated: 2022-05-07
version: 2.2.28
stars: 4.3
ratings: 21149
reviews: 1631
size: 96M
website: https://nexo.io
repository: 
issue: 
icon: com.nexowallet.png
bugbounty: 
meta: ok
verdict: custodial
date: 2020-11-17
signer: 
reviewArchive: 
twitter: NexoFinance
social:
- https://www.facebook.com/nexofinance
- https://www.reddit.com/r/Nexo
redirect_from:
- /com.nexowallet/

---

{% include review/bitgo.md %}

In the description on Google Play we read:

> • 100% Secured by Leading Audited Custodian BitGo

which makes it a custodial app. The custodian is claimed to be "BitGo" so as a
user you have to trust BitGo to not lose the coins and Nexo to actually not hold
all or part of the coins. In any case this app is **not verifiable**.
